{{ attach_library('growhappytheme/vendor-simplebar') }}

{# GIGYA SCRIPT Edit Profile #}
<script src="https://cdns.gigya.com/js/gigya.js?apikey=3_6PaP0VrsZ6uQ3MwibaUPKcI29CMAkHWSgWkfYzDsXUHrmb3bxXm46UJh_jl_Ot54"
type="text/javascript"></script><script type="text/javascript">
gigya.accounts.showScreenSet({ screenSet: 'dancow-id-ProfileUpdate', startScreen:
'gigya-view-profile-screen',containerID: 'ciam_edit_profile_block' }); </script>

{% include directory ~ '/templates/navigation/menu-new.html.twig' %}
{% set author = user_lacto.name %}
{% set image = 'themes/growhappytheme/assets/images/no-photo.png' %}
<main role="main" class="page__profile">
  <div class="container-fluid text-center text-lg-left" style="min-height: 65vh;">
    <div class="row">
      <div class="col-md-6 bg-primary text-white pr-lg-5 pt-5">
        <div class="px-md-4 px-lg-5 profile-detail-wrapper ml-md-auto">
          <!-- <div class="avatar gold"><img class="rounded-circle" height="60" width="60" src="{{ url('<front>') }}{{ image }}" alt=""></div> -->
          <a href="{{ url('<front>') }}ciam-auth-process" class="btn bg-blue text-white text-uppercase rounded-lg btn-edit-profile" style="font-size: 12px;">Back to profile</a>
          <form class="redeem-profile pt-4 pb-2 px-3" id="form-submit" action="{{ url('growhappy_mod.submit-process') }}" method="POST">
            <h3 class="font-weight-bold">Submit Poin Happy Parents!</h3>

            <div class="input-group mb-3 position-relative">
              <select class="form-control form-select icon-dropdown w-100 rounded-lg border-0 font-weight-bold select-location" id="store" name="retail">
                <option value="" selected>Beli Produk LACTOGROW</option>
                {% for retail in retails %}
                <option value="{{ retail.id }}">{{ retail.name }}</option>
                {% endfor %}
              </select>
              <img class="select-decoration" src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-dropdown-white.png" alt="">
            </div>
            <div class="input-group mb-3">
              <input id="code" name="code" placeholder="Masukan Kode Unik" type="text" class="form-control rounded-lg border-0 font-weight-bold input-unique-code" name="code">
              <span class="input-group-btn m-0">
                <button type="submit" class="btn bg-primary text-white text-uppercase rounded-lg position-absolute btn-submit-code">
                  Kirim
                </button>
              </span>
            </div>
          </form>

          <div class="nav nav-profile flex-row flex-md-column justify-content-center border-0 mx-n4 mx-md-0 mb-5 d-none d-md-block" id="v-pills-tab" role="tablist" aria-orientation="vertical">
            <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="profile-tab" href="{{ url('<front>') }}profile" role="tab" aria-controls="profile" aria-selected="false">Profil</a>
            <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="history-tab" href="{{ url('<front>') }}profile#history" role="tab" aria-controls="history" aria-selected="false">Riwayat</a>
            <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="reward-tzab" href="{{ url('<front>') }}profile#reward" role="tab" aria-controls="reward" aria-selected="false">Rewards</a>
            <!-- <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="naspro-tab" href="{{ url('<front>') }}campaign/ghc-coupon-result" role="tab" aria-controls="naspro" aria-selected="false">Kupon Nasional Promo</a> -->
            <!-- <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="quiz-tab" href="{{ url('<front>') }}profile#quiz" role="tab" aria-controls="quiz" aria-selected="false">Misi</a> -->
          </div>

        </div>
      </div>
      <div class="col-md-6 px-md-4 p-lg-5 pt-5">
        <div class="position-relative scroll-wrapper h-100">
          <div class="show-scroll" data-simplebar>

            <h3 class="mb-3 text-primary font-weight-bold">Profil Si Kecil</h3>

            <div class="child-list">
              {% for children in childrens %}
              <div class="rounded-lg bg-primary text-white py-2 px-4 d-flex flex-row justify-content-between mb-3">
                {# <div class="pt-3">
                              <img class="rounded-cirle" height="45" width="45" src="{{ url('<front>') }}{{ image }}" alt="">
                          </div> #}
                <div class="px-3 pt-3">
                  <h2 class="h4 mb-0">{{ children.name }}</h2>
                  <p>{{ children.dob|date('d-m-Y') }}</p>
                </div>
                <div class="flex-grow-1 text-right align-self-center">
                  <a href="#" data-id="{{ children.id }}" data-name="{{ children.name }}" data-dob="{{ children.dob|date('Y-m-d') }}" data-gender="{{ children.gender }}" data-product="{{ children.consuming.product_id }}" data-toggle="modal" data-target="#childEditModal" class="btn rounded-pill bg-blue text-white text-uppercase px-lg-4 btn-edit-children">Ubah</a>
                </div>
              </div>
              {% endfor %}
            </div>

            <p class="text-center pt-3 pb-4 mr-lg-5"><a href="#" data-toggle="modal" data-target="#childModal" class="text-uppercase text-primary text-decoration-none"><small class="rounded-circle bg-primary text-white px-1 mr-2">+</small> Tambah</a></p>


            <h3 class="text-primary font-weight-bold">Profil Happy Parents</h3>
            <h6 class="text-primary mb-2">{{ user_data.data.phone_number }}</h6>
            <h6 class="text-primary">{{ user_data.data.email }}</h6>

            <div id="ciam_edit_profile_block" >
            </div>
            <!-- <form class="form-border form-edit-parent-data" action="{{ url('<front>') }}profile" method="POST">
                      <input type="hidden" name="id_sso_user" value="{{ user_lacto.id_sso_user }}">
                      <div class="form-group">
                          <input type="phone" name="mobile_number" value="{{ user_data.phone }}" class="form-control rounded-pill border border-light mr-lg-5" id="phone" placeholder="Nomor Handphone">
                      </div>
                      <div class="form-group">
                          <input type="email" name="email" value="{{ user_data.email }}" class="form-control rounded-pill border border-light mr-lg-5" id="email" placeholder="Alamat E-mail">
                      </div>
                      {# <div class="form-group">
                          <input type="password" class="form-control rounded-pill border border-light mr-lg-5" id="password" placeholder="Password">
                      </div> #}
                      {# <div class="form-group">
                          <input type="date" value="{{ user_data.dob }}" class="form-control rounded-pill border border-light mr-lg-5" id="birth" placeholder="Tanggal Lahir">
                      </div> #}
                      <p class="my-4 mb-md-0">
                        <button type="button" class="btn rounded-pill my-2 px-5 btn-cta bg-primary text-white text-uppercase mr-lg-4 d-block d-lg-inline-block">Simpan</button>
                        <a href="#" class="btn rounded-pill my-2 px-5 btn-cta bg-white text-primary border border-primary text-uppercase d-block d-lg-inline-block">Keluar</a>
                      </p>
                  </form> -->
          </div>
        </div>
      </div>
    </div>
  </div>
</main>
<!-- Modal Ubah data Anak -->
<div class="modal fade" id="childEditModal" tabindex="-1" aria-labelledby="childEditModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header p-lg-4">
        <h5 class="modal-title text-primary" id="childEditModalLabel">Ubah data Si Kecil</h5>
        <button type="button" class="btn btn-link text-blue text-decoration-none" data-dismiss="modal" aria-label="Close">
          Batal
        </button>
      </div>
      <div class="modal-body p-lg-4 text-primary">
        <form class="form-border form-children" action="{{ url('growhappy_mod.profile-update') }}" method="POST">
          <input type="hidden" id="children_id" name="children_id" value="">
          <div class="form-group">
            <input type="text" class="form-control rounded-pill border border-light" id="children_name" name="children_name" value="">
          </div>
          <div class="form-group">
            <input type="text" class="form-control rounded-pill border border-light" id="children_dob" name="children_dob" placeholder="Tanggal Lahir" onfocus="(this.type='date')" onfocusout="(this.type='text')" value="">
          </div>
          <div class="form-group">
            <select class="form-control rounded-pill border border-light" name="children_gender" id="children_gender" required>
              <option value="" selected>Jenis Kelamin</option>
              <option value="m">Laki-laki</option>
              <option value="f">Perempuan</option>
            </select>
          </div>
          <div class="form-group">
            <select class="form-control rounded-pill border border-light" name="children_product" id="children_product" required>
              <option value="">Pilih Produk</option>
              <option value="19">LACTOGROW 3</option>
              <option value="20">LACTOGROW 4</option>
            </select>
          </div>
          <button type="submit" class="btn btn-primary btn-block rounded-lg px-3 text-uppercase">Simpan Data Si Kecil</button>
        </form>
      </div>
    </div>
  </div>
</div>
<!-- Modal data Anak -->
<div class="modal fade" id="childModal" tabindex="-1" aria-labelledby="childModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header p-lg-4">
        <h5 class="modal-title text-primary" id="childModalLabel">Tambah data Si Kecil</h5>
        <button type="button" class="btn btn-link text-blue text-decoration-none" data-dismiss="modal" aria-label="Close">
          Batal
        </button>
      </div>
      <div class="modal-body p-lg-4 text-primary">
        <form class="form-border form-children" action="{{ url('growhappy_mod.profile-update') }}" method="POST">
          <div class="form-group">
            <input type="text" name="children_name" class="form-control rounded-pill border border-light" placeholder="Nama Si Kecil" required>
          </div>
          <div class="form-group">
            <input type="text" class="form-control rounded-pill border border-light" name="children_dob" placeholder="Tanggal Lahir" onfocus="(this.type='date')" onfocusout="(this.type='text')" value="" required>
          </div>
          <div class="form-group">
            <select class="form-control rounded-pill border border-light" name="children_gender" required>
              <option value="" selected>Jenis Kelamin</option>
              <option value="m">Laki-laki</option>
              <option value="f">Perempuan</option>
            </select>
          </div>
          <div class="form-group">
            <select class="form-control rounded-pill border border-light" name="children_product" required>
              <option value="">Pilih Produk</option>
              <option value="19">LACTOGROW 3</option>
              <option value="20">LACTOGROW 4</option>
            </select>
          </div>

          <button type="submit" class="btn btn-primary btn-block rounded-lg px-3 text-uppercase">Simpan Data Si Kecil</button>
        </form>
      </div>
    </div>
  </div>
</div>

<!-- Submit Modal -->
<div class="modal fade" id="submitModal" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="submitModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content overflow-hidden">
      <div class="modal-body bg-primary text-white text-center p-lg-4">
        <button type="button" id="btn-close-modal" class="close float-right text-white" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <img class="m-auto mb-4" src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-baloon.svg" alt="">
        <h2 id="message-header">Submit Kode Sedang diproses!</h2>
        <div id="message-body">Mohon Tunggu...</div>
        <a id="message-button" data-dismiss="modal" class="btn btn-block bg-white text-blue rounded-lg px-3" style="display: none;">OK</a>
      </div>
    </div>
  </div>
</div>

<footer id="primary-footer">
  {% include directory ~ '/templates/includes/_footer_nestle.html.twig' %}
</footer>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script type="text/javascript">
  var origin = "{{ url('growhappy_mod.job') }}";
  $("#form-submit").submit(function(e) {
    e.preventDefault(); // avoid to execute the actual submit of the form.
    var form = $(this);
    var url = form.attr('action');
    var type = $(this).attr("method");

    var message_header_loading = "Submit Kode Sedang diproses!";
    var message_header_fail = "Submit Poin Happy Parents Gagal";

    var message_body_loading = "<p>Mohon Tunggu...</p>";
    var message_body_fail = "<p>Terjadi kesalahan pada server</p>";

    var message_button_fail = "Coba Lagi";

    $("#submitModal").modal('show');

    $.ajax({
      type: type,
      url: url,
      data: form.serialize(),
      beforeSend: function() {
        $("#btn-submit").prop('disabled', true);
        $("#message-header").html(message_header_loading);
        $("#message-body").html(message_body_loading);
        $("#message-button").hide();
        $("#btn-close-modal").hide();
        // console.log('Loading');
      },
      success: function(data) {
        var data = JSON.parse(data);
        console.log(data);
        let {
          jobId
        } = data;
        if (jobId) {
          console.log('dapet job ' + jobId);
          intervalId = setInterval(() => checkJobStatus(jobId), 3000);
        } else {
          message_body_fail = '';
          $.each(data.errors, function(k, v) {
            message_body_fail += '<p>' + v + '</p>';
          });
          $("#message-header").html(message_header_fail);
          $("#message-body").html(message_body_fail);
          $("#message-button").html(message_button_fail);
          $("#message-button").show();
          $("#btn-close-modal").show();
        }
        $("#btn-submit").prop('disabled', false);
      },
      error: function(xhr, status, error) {
        var error = eval("(" + xhr.responseText + ")");
        console.log(error.message);
        $("#message-header").html(message_header_fail);
        $("#message-body").html('<p>' + error.message + '</p>');
        $("#message-button").html(message_button_fail);
        $("#message-button").show();
        $("#btn-close-modal").show();
      }
    });

    let checkJobStatus = (jobId) => {
      $.get(origin + '?jobId=' + jobId, (data_job) => {
        var counter = 0;
        var data_job = JSON.parse(data_job);
        if (!data_job.done) {
          if (counter >= 5) {
            console.log('belum done ' + data_job);
            $("#message-header").html(message_header_loading);
            $("#message-body").html(message_body_loading);
            $("#message-button").hide();
            $("#btn-close-modal").hide();
          }

          return;
        }

        clearInterval(intervalId);
        console.log(data_job);
        if (!data_job.success) {
          console.log('job fail ' + data_job.errors);
          message_body_fail = '<p>' + data_job.errors + '</p>';
          $("#message-header").html(message_header_fail);
          $("#message-body").html(message_body_fail);
          $("#message-button").html(message_button_fail);
          $("#message-button").show();
          $("#btn-close-modal").show();
        } else {
          console.log('success' + data_job.payload);
          $("#message-header").html("Penambahan Happy Points Berhasil!");
          $("#message-body").html('<p>Selamat, Happy Parents berhasil mendapatkan<br>' + data_job.payload.amount + ' Happy Points.<br>Kirimkan kode unik sebanyak-banyaknya untuk mendapatkan lebih banyak poin dan menukarnya dengan rewards menarik.</p><p>Untuk melihat status penambahan Happy Points, silakan cek Riwayat di Profil Happy Parents.</p>');

          $("#message-button").html('Lihat Status');
          $("#message-button").show();
          $("#message-button").removeAttr("data-dismiss", "modal");
          $("#message-button").attr("href", "{{ url('<front>') }}profile");

          $("#btn-close-modal").show();
        }
      });
    }
  });

  $(".form-children").submit(function(e) {
    e.preventDefault(); // avoid to execute the actual submit of the form.
    var form = $(this);
    var url = form.attr('action');
    var type = $(this).attr("method");

    var message_header_loading = "Simpan Data Anak diproses!";
    var message_header_fail = "Simpan Data Anak Gagal";

    var message_body_loading = "<p>Mohon Tunggu...</p>";
    var message_body_fail = "<p>Terjadi kesalahan pada server</p>";

    var message_button_fail = "OK";

    $("#submitModal").modal('show');

    $.ajax({
      type: type,
      url: url,
      data: form.serialize(),
      beforeSend: function() {
        $("#btn-submit").prop('disabled', true);
        $("#message-header").html(message_header_loading);
        $("#message-body").html(message_body_loading);
        $("#message-button").hide();
        $("#btn-close-modal").hide();
        // console.log('Loading');
      },
      success: function(data) {
        var data = JSON.parse(data);
        // console.log(data);
        if (data.success == false) {
          // console.log('gagal');
          message_body_fail = '';
          $.each(data.errors, function(k, v) {
            message_body_fail += '<p>' + v + '</p>';
          });
          $("#message-header").html(message_header_fail);
          $("#message-body").html(message_body_fail);
          $("#message-button").html(message_button_fail);
          $("#message-button").show();
          $("#btn-close-modal").show();
        } else {
          // console.log('success');
          $("#message-header").html("Simpan Data Anak Berhasil!");
          $("#message-body").html('<p></p>');
          $("#message-button").html('OK');
          $("#message-button").show();
          $("#message-button").removeAttr("data-dismiss", "modal");
          $("#message-button").attr("href", "{{ url('<front>') }}profile-edit");
          $("#btn-close-modal").show();
        }
        $("#btn-submit").prop('disabled', false);
      },
      error: function(xhr, status, error) {
        var error = eval("(" + xhr.responseText + ")");
        // console.log(error.message);
        $("#message-header").html(message_header_fail);
        $("#message-body").html('<p>' + error.message + '</p>');
        $("#message-button").html(message_button_fail);
        $("#message-button").show();
        $("#btn-close-modal").show();
      }
    });
  });

  $(document).on("click", ".btn-edit-children", function() {
    // console.log($(this).data('gender'))
    $(".modal-body form #children_id").val($(this).data('id'));
    $(".modal-body form div #children_name").val($(this).data('name'));
    $(".modal-body form div #children_dob").val($(this).data('dob'));
    $(".modal-body form div #children_gender").val($(this).data('gender'));
    $(".modal-body form div #children_product").val($(this).data('product'));
  });
</script>
